@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@400;500;600;700;800&display=swap');

/* #region General */

:root {
    --base-button-color: rgb(0, 119, 217);
    --link-highlight-color: rgb(31, 154, 255);
    --base-button-color-shadow: 0, 119, 217;
}

* {
    box-sizing: border-box;
    scroll-behavior: smooth;
    margin: 0;
    padding: 0;
}

html {
    height: 100%;
    font-family: 'Manrope', sans-serif;
}

body {
    display: flex;
    flex-direction: column;
    background-color: #313131;
    color: #fff;
    min-height: 100%;
    padding: 0px 1px 0px 1px;
    gap: 1px;
}

a {
    text-decoration: none;
    color: #fff;
}

button {
    padding: 5px 10px;
    border-radius: 5px;
    border-style: hidden;
}

/* #endregion */

/* #region Header Box */
.header-box {
    background-color: #1b1b1b;
}

.header-content {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.header-content-logo-box {
    display: flex;
    flex-direction: row;
    padding: 20px 30px 20px 30px;
    gap: 10px;
    align-items: center;
    font-size: 30px;
    font-weight: 800;
}

.header-content-logo-text {
    display: flex;
    flex-direction: row;
    user-select: none;
    gap: 8px;
}

.header-content-logo-text-first-part,
.header-content-logo-text-second-part {
    display: flex;
}

.header-content-logo-text-letter {
    transition: transform 0.3s ease;
}

.header-content-logo-text-letter:hover {
    transform: translateY(-10px);
}

.web-site-logo {
    width: 70px;
    height: 70px;
}

@keyframes spining-web-logo {
    0% {
        transform: rotate(0deg)
    }
    100% {
        transform: rotate(360deg)
    }
}

.web-site-logo.spinWebLogo {
    animation: spining-web-logo 0.6s ease forwards;
}

.header-content-navigation {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-right: 40px;
    gap: 25px;
    font-weight: 700;
}

.header-content-navigation a {
    border-style: hidden;
    border-radius: 5px;
    padding: 5px 10px;
    border-width: 1px;
    transition: box-shadow 0.2s ease, transform 0.2s ease;
    box-shadow: 0px 2px 4px rgba(255, 255, 255, 0);
}

.header-content-navigation a:hover {
    box-shadow: 0px 2px 4px rgba(255, 255, 255, 0.5);
    transform: translateY(-2px);
}


.header-content-navigation .authButton {
    cursor: pointer;
    color: #fff;
    background-color: var(--base-button-color);
    font-weight: 700;
    font-size: 17px;
    transition: box-shadow 0.2s ease, transform 0.2s ease;
    box-shadow: 0px 2px 4px rgba(var(--base-button-color-shadow), 0);
}

.header-content-navigation .authButton:hover {
    box-shadow: 0px 2px 6px rgba(var(--base-button-color-shadow), 0.7);
    transform: translateY(-2px);
}

/* #endregion */

/* #region Products Box */
.products-box {
    min-height: 500px;
    background-color: #0e0e0e;
    flex-grow: 1;
    padding: 50px 100px;
}

.product-box-title {
    font-size: 40px;
    font-weight: 700;
    justify-self: center;
    padding-bottom: 50px;
    user-select: none;
}

.product-box-content {
    display: flex;
    flex-wrap: wrap;
    gap: 70px;
    max-width: 1330px;
    margin: 0 auto;
}

.product-card {
    --product-glow-color: 255, 255, 255;
    --product-glow-intensity: 0.5;
    
    width: 280px;
    height: auto;
    background-color: #232323;
    overflow: hidden;
    padding: 30px 70px;

    border: 1px solid;
    border-radius: 40px;
    border-color: #494949;

    box-shadow: 2px 2px 6px rgb(208, 208, 208, 0.2);

    transition: transform 0.3s ease;
    user-select: none;
}

.product-card:hover {
    transform: scale(1.04);
}

.product-card-content {
    display: flex;
    flex-direction: column;
    gap: 10px
}

.product-card-image {
    border-radius: 10px;
    box-shadow: 0px 0px 6px rgba(var(--product-glow-color), var(--product-glow-intensity));
}

.product-card-description {
    width: 100%;
    font-size: 26px;
    font-weight: 600;
    align-self: center;
    text-align: center;
    text-shadow: 2px 2px 4px rgba(var(--product-glow-color), var(--product-glow-intensity));
    margin-bottom: 5px;
    hyphens: auto;
}

.button-buy-product {
    cursor: pointer;
    transition: transform 0.3s ease, box-shadow 0.3s ease;

    width: 100%;
    height: 35px;
    font-size: 18px;
    font-weight: 600;
    padding: 5px 0;
    color: #fff;
    background-color: var(--base-button-color);
    box-shadow: 0px 0px 4px rgba(0, 136, 255, 1)
}

.button-buy-product:hover {
    transform: scale(1.1);
    box-shadow: none;
}

/* #endregion */

/* #region Footer Box */
.footer-box {
    height: 120px;
    background-color: #1b1b1b;
}

.footer-box-content {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    user-select: none;
    width: 100%;
    height: 100%;
    padding: 20px 50px;
    color: #7b7b7b;
}

.footer-box-content a {
    color: #7b7b7b;
    text-decoration: underline;
    text-underline-offset: 5px;
    transition: color 0.3s ease;
}

.footer-box-content-right-part a:hover {
    color: var(--link-highlight-color);
}

/* #endregion */